Bug 835928 - FEATURE: Replace Skynet Editor
FEATURE: Replace Skynet Editor
Status: CLOSED CURRENTRELEASE
Product: Topic Tool
Classification: Other
Component: FUDCon Docs Hack (Show other bugs)
0.0.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Joshua Wulf
Joshua Wulf
:
Depends On:
Blocks: 701509
  Show dependency treegraph
 
Reported: 2012-06-27 10:45 EDT by Joshua Wulf
Modified: 2014-10-19 19:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-08 14:00:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Wulf 2012-06-27 10:45:50 EDT
1. Grab the topic via REST and render it in a different editor in the browser
2. On submit, post it back to the Skynet REST interface

3. Make the editor have things like tag closure

4. Make the editor have client-side xsl transform for live preview

5. Make the editor have WYSIWYM editing mode

6. Make the editor have content enrichment

Everything after 1&2 probably needs to go into a sub-bug.
Comment 1 Joshua Wulf 2012-06-27 10:47:14 EDT
The thing to focus on here is the topic text editing. All the other metadata stuff can be done with the existing Skynet editor, so:
(a) books might need to have two links, or else 
(b) the text editor should have a link to open the Skynet editor in another tab.
Comment 2 Joshua Wulf 2012-07-06 07:04:34 EDT
1-4 are completed, and checked in to github:

javascript editor:

https://github.com/jwulf/fudcon-docs-hack/tree/feature-admin/source/topicindex-server/WebContent/Books/editor

node.js server:

https://github.com/jwulf/topic-edit-live-preview

COMPLETED

1. It uses JSONP over REST to get the topic

2. then posts it back via a REST proxy running on node.js.

3. Has tag closure.

4. Does client-side xsl transform for live preview

4.5 Bonus - does Docbook DTD validation

NOT DONE YET

5. Doesn't have WYSIWYM mean yet

6. Doesn't have content enrichment yet


- Will probably move the editor code out of the topic-server repository to its own repo
Comment 3 Joshua Wulf 2012-08-08 14:00:59 EDT
This task is complete for me. I use this editor exclusively to complete my job.

More features will come incrementally, in their own requests.

Note You need to log in before you can comment on or make changes to this bug.